Skip to main content
GET
/
v1
/
report
/
campaign
/
{id}
/report/campaign/:id
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/campaign/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/campaign/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/campaign/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "campaign_id": 32729473,
    "campaign_name": "example.com campaign",
    "start_date": "2026-04-18",
    "end_date": "2026-04-18",
    "currency": "GBP",
    "status": "complete",
    "total_impressions": 90338,
    "total_clicks": 43,
    "total_spend": 0,
    "total_viewable_impressions": 62451,
    "filter_data": {
      "publishers": [
        {
          "uid": 18620,
          "domain": "example.com",
          "label": null
        }
      ],
      "configs": [
        {
          "config_id": 8395,
          "unit": "in-image",
          "unit_label": "In-Image"
        }
      ]
    },
    "range": {
      "clicks": [
        43
      ],
      "impressions": [
        90338
      ],
      "dates": [
        "2026-04-18"
      ]
    },
    "data": {
      "byUid": [
        {
          "uid": 18620,
          "domain": "example.com",
          "impressions": 90338,
          "clicks": 43,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "byLineItem": [
        {
          "line_item_id": 6727744249,
          "line_item_name": "Why not visit our shop? - Backfill - Network Tier",
          "impressions": 90338,
          "clicks": 43,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "byConfig": [
        {
          "config_id": 8395,
          "unit": "in-image",
          "unit_label": "In-Image",
          "impressions": 90338,
          "clicks": 43,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "byCreativeSize": [
        {
          "creative_size": "300x250",
          "impressions": 90338,
          "clicks": 43,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "byDevice": [
        {
          "device": "desktop",
          "impressions": 90338,
          "clicks": 12,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "byDate": [
        {
          "date": "2026-04-18",
          "impressions": 90338,
          "clicks": 43,
          "spend": 0,
          "viewable_impressions": 62451
        }
      ],
      "all": [
        {
          "uid": 18620,
          "domain": "example.com",
          "line_item_id": 6727744249,
          "line_item_name": "Why not visit our shop? - Backfill - Network Tier",
          "config_id": 8395,
          "unit": "in-image",
          "unit_label": "In-Image",
          "date": "2026-04-18",
          "device": "desktop",
          "creative_size": "300x250",
          "impressions": 90338,
          "viewable_impressions": 62451,
          "clicks": 0,
          "spend": 0,
          "ctr": 0,
          "viewability": 0.69130377
        }
      ]
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Campaign ID

Query Parameters

start
string<date>

Optional start date

end
string<date>

Optional end date

Response

200 - application/json
results
object
success
boolean